// Code generated by mockery v1.0.0. DO NOT EDIT.

package mocks

import mock "github.com/stretchr/testify/mock"
import naga "gitlab.com/golang31/commons//naga"

// FlagConfigurator is an autogenerated mock type for the FlagConfigurator type
type FlagConfigurator struct {
	mock.Mock
}

// ConfigureFlag provides a mock function with given fields: _a0
func (_m *FlagConfigurator) ConfigureFlag(_a0 naga.ConfigEntry) error {
	ret := _m.Called(_a0)

	var r0 error
	if rf, ok := ret.Get(0).(func(naga.ConfigEntry) error); ok {
		r0 = rf(_a0)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
